Bug 1187152 - Editing subtitles, start and end time, duration and CPS does not work with glib2 2.42 anymore
Summary: Editing subtitles, start and end time, duration and CPS does not work with gl...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: subtitleeditor
Version: 21
Hardware: All
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Martin Sourada
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-01-29 12:30 UTC by Artur Szymczak
Modified: 2015-02-13 02:24 UTC (History)
2 users (show)

Fixed In Version: subtitleeditor-0.41.0-5.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-02-13 02:24:42 UTC
Type: Bug


Attachments (Terms of Use)
spec to build fixed version (9.69 KB, text/x-rpm-spec)
2015-01-29 12:33 UTC, Artur Szymczak
no flags Details
patch1 for bug (866 bytes, patch)
2015-01-29 12:34 UTC, Artur Szymczak
no flags Details | Diff
patch2 for bug (507 bytes, patch)
2015-01-29 12:35 UTC, Artur Szymczak
no flags Details | Diff

Description Artur Szymczak 2015-01-29 12:30:37 UTC
Description of problem:
Subtitleeditor can't edit subtitles, start and end time, duration and CPS when using glib2-2.42 or newer.

Version-Release number of selected component (if applicable):
glib2-2.42.1
subtitleeditor-0.41.0-4

How reproducible:
always

Steps to Reproduce:
1. create new project or edit existing one
2. try to edit subtitle - it is not possible. it also block menu.
3.

Actual results:
subtitles can't be edited

Expected results:
editing subtitles, start and end time, duration and CPS should work

Additional info:

Comment 1 Artur Szymczak 2015-01-29 12:33:43 UTC
Created attachment 985565 [details]
spec to build fixed version

I added new spec file, to build new version that include patches from upstream (https://gna.org/bugs/?23018)

Comment 2 Artur Szymczak 2015-01-29 12:34:24 UTC
Created attachment 985566 [details]
patch1 for bug

Comment 3 Artur Szymczak 2015-01-29 12:35:19 UTC
Created attachment 985567 [details]
patch2 for bug

Comment 4 Fedora Update System 2015-01-31 13:29:54 UTC
subtitleeditor-0.41.0-5.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/subtitleeditor-0.41.0-5.fc21

Comment 5 Fedora Update System 2015-02-01 00:23:14 UTC
Package subtitleeditor-0.41.0-5.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing subtitleeditor-0.41.0-5.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-1470/subtitleeditor-0.41.0-5.fc21
then log in and leave karma (feedback).

Comment 6 Fedora Update System 2015-02-13 02:24:42 UTC
subtitleeditor-0.41.0-5.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.